﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Wisej.DynamicHtmlPanels
{
	public class IconItem
	{
		public string URL;
		public string Name;

		public override string ToString()
		{
			return String.Format(@"<div style=""height:36px;background-image:url({0});background-repeat:no-repeat;background-position:2px 2px;padding-left:40px;line-height:36px"">{1}</div>", this.URL, this.Name);
		}
	}

	public static class IconItems
	{
		public static IconItem[] GetItems()
		{
			IconItem[] list = new IconItem[4];

			list[0] = new IconItem() { URL = "http://iconshow.me/media/images/social/flat-style-Metro-UI-Icons/Folder-OS/png/32/MetroUI-Ubuntu-Alt.png", Name = "Ubuntu" };
			list[1] = new IconItem() { URL = "http://iconshow.me/media/images/social/flat-style-Metro-UI-Icons/Applications/png/32/MetroUI-Windows8-Store.png", Name = "Windows Store" };
			list[2] = new IconItem() { URL = "http://iconshow.me/media/images/social/flat-style-Metro-UI-Icons/Applications/png/32/MetroUI-Zuma.png", Name = "Zuma" };
			list[3] = new IconItem() { URL = "http://iconshow.me/media/images/social/flat-style-Metro-UI-Icons/Applications/png/32/MetroUI-uTorrent.png", Name = "U-Torrent" };

			return list;
		}
	}
}