﻿
using System;
using Wisej.Web;

namespace Wisej.DynamicHtmlPanels
{
	public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}

		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);

			this.comboBox1.Items.AddRange(IconItems.GetItems());
			this.comboBox1.SelectedIndex = 0;

		}

		private void button1_Click(object sender, EventArgs e)
		{
			
			this.textBox1.Invalid = this.textBox1.Text == "";

			if (!this.textBox1.Invalid)
			{
				IconItem item = (IconItem)this.comboBox1.SelectedItem;
				string html = String.Format(@"<div style=""background-image:url({0});background-repeat:no-repeat;padding-left: 40px;min-height:34px;width:100%;background-position:2px 2px;"">{1}</div>", item.URL, this.textBox1.Text);

				// add html item to the list box.
				this.listBox1.Items.Add(html);
				// add the html text to the html panel.
				this.htmlPanel1.Html += html;
				// add the label control to the scrollable panel.
				var label = new Label() {AllowHtml=true, Text=html, AutoSize=false, Dock = DockStyle.Top, Height = 48};
				this.panel1.Controls.Add(label);
				// items are docked in reverse order
				this.panel1.Controls.SetChildIndex(label, 0);

				// select the last item.
				this.listBox1.SelectedIndex = this.listBox1.Items.Count - 1;
				// scroll the html panel to the bottom.
				this.htmlPanel1.Call("scrollToY", int.MaxValue);
				// scroll the label into view.
				this.panel1.ScrollControlIntoView(label);
			}
		}
	}
}
